%define snap 20120601

%define major 0
%define libname %mklibname edit %{major}
%define libnamedevel %mklibname edit -d

Summary:	Provides generic line editing functions similar to those found in GNU Readline
Name:		libedit
Version:	3.0
Release:	%mkrel -c %{snap} 3
Epoch:		0
License:	BSD-style
Group:		System/Libraries
URL:		http://www.thrysoee.dk/editline/
Source0:	http://www.thrysoee.dk/editline/%{name}-%{snap}-%{version}.tar.gz
BuildRequires:	ncurses-devel

%description
This is an autotool- and libtoolized port of the NetBSD Editline library 
(libedit). This Berkeley-style licensed command line editor library 
provides generic line editing, history, and tokenization functions, 
similar to those found in GNU Readline.

%package -n	%{libname}
Summary:	Provides generic line editing functions similar to those found in GNU Readline
Group:		System/Libraries

%description -n	%{libname}
This is an autotool- and libtoolized port of the NetBSD Editline library 
(libedit). This Berkeley-style licensed command line editor library 
provides generic line editing, history, and tokenization functions, 
similar to those found in GNU Readline.

%package -n	%{libnamedevel}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	%{libname} = %{epoch}:%{version}-%{release}
Provides:	edit-devel = %{epoch}:%{version}-%{release}
Provides:	libedit-devel = %{epoch}:%{version}-%{release}
Provides:	editline = %{epoch}:%{version}-%{release}
Obsoletes:	edit-devel < %{epoch}:%{version}-%{release}
Obsoletes:	editline < %{epoch}:%{version}-%{release}
#Added 09/2012 (wally)
Obsoletes:	%{_lib}edit-static-devel < 0:3.0-0.20120601.2

%description -n	%{libnamedevel}
This is an autotool- and libtoolized port of the NetBSD Editline
library (libedit). This Berkeley-style licensed command line
editor library provides generic line editing, history, and
tokenization functions, similar to those found in GNU Readline.

This package contains development files for %{name}.

%prep
%setup -q -n %{name}-%{snap}-%{version}

%build
%configure2_5x \
	--disable-static
%make

%install
%makeinstall_std

# Allows us to include the examples in separate %%doc directory
find examples -type f ! -name "*.c" -delete
rm -r examples/.{deps,libs}

#we don't want these
find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%doc ChangeLog INSTALL THANKS
%{_libdir}/*.so.%{major}*

%files -n %{libnamedevel}
%doc examples
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/libedit.pc

%files
%doc ChangeLog INSTALL THANKS
%{_mandir}/man3/*
%{_mandir}/man5/*


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0:3.0-0.20120601.3.mga3
+ Revision: 357048
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Sep 23 2012 wally <wally> 0:3.0-0.20120601.2.mga3
+ Revision: 296883
- drop static build and get rid of .la files
- drop old obsoletes
- require man pages on devel pkg
- clean .spec a bit more

* Sun Sep 23 2012 wally <wally> 0:3.0-0.20120601.1.mga3
+ Revision: 296879
- new snapshot
- clean .spec a bit

* Wed Jan 12 2011 ahmad <ahmad> 0:3.0-0.20090923.3.mga1
+ Revision: 7714
- drop old/unneeded scriptlets
- imported package libedit

